Subject: Re: [PATCH v5 1/3] builtin/grep.c: add --sparse option

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 19 Sep 2022 13:03:44 +0200

On Sun, Sep 18 2022, Victoria Dye wrote:

> Elijah, would you be interested in compiling your thoughts into a document
> in 'Documentation/technical'? If not, Stolee or I could do it. If we could
> settle on some guidelines (option names, behavior, etc.) for better
> incorporating 'sparse-checkout' support into existing commands, it'd make
> future sparse index work substantially easier for everyone involved.

This sounds good. I'd just like to suggest that incorporating a table
similar to the one I made for checkout/switch in would be useful for
such documentation:

	https://lore.kernel.org/git/[email-masked]/

We ended up dropping the ball on that topic, but for cross-command UX I
think it's a very useful way to present how a "meta option", or an
option shared across many commands is expected to behave.